<!DOCTYPE html>

<html lang="en-GB">

<head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no" />
    <title>Satellites + theming PoC</title>
    <link id="resetLink" type="text/css" href="https://unpkg.com/@devoinc/genesys-base-styles/dist/styles.css" />
    <link id="themeLink" rel="stylesheet" type="text/css" />
    <link rel="stylesheet" type="text/css" href="style.css" />
</head>

<body>

    <navigation>

        <h1>Satellites&nbsp;+<br />theming&nbsp;PoC</h1>

        <ul id="menu">
            <li id="home"><a href="#home">▸ Home</a></li>
            <li id="hello-world">
                <a href="#hello-world">▸ Hello, world <span class="description">(JS module)</span></a>
            </li>
            <li id="vanilla">
                <a href="#vanilla">▸ Vanilla <span class="description">(HTML, CSS, JS)</span></a>
            </li>
            <li id="react">
                <a href="#react">▸ React <span class="description">(external component)</span></a>
            </li>
            <li id="genesys">
                <a href="#genesys">▸ Genesys <span class="description">(Genesys UI)</span></a>
            </li>
        </ul>

        <form id="themeMenu">
            <h2>Theme</h2>
            <fieldset class="independent">
                <input type="checkbox" id="reset" />
                <label for="reset">Base styles (CSS reset)</label>
            </fieldset>
            <fieldset>
                <input type="radio" name="theme" id="none" value="none" checked />
                <label for="none">No schema</label>
            </fieldset>
            <fieldset>
                <input type="radio" name="theme" id="light" value="light" />
                <label for="light">Light schema</label>
            </fieldset>
            <fieldset>
                <input type="radio" name="theme" id="dark" value="dark" />
                <label for="dark">Dark schema</label>
            </fieldset>
        </form>

    </navigation>

    <main></main>

    <aside>
        <div id="timeLabel"></div>
        <h2><em>Time machine&trade;</em></h2>
        <datalist id="markers">
            <option value="1000"></option>
            <option value="2000"></option>
        </datalist>
        <form id="timeMenu">
            <fieldset>
                <input id="time" type="range" min="0" max="3000" step="1" value="500" list="markers" />
            </fieldset>
            <fieldset>
                <input type="radio" name="using" id="v4" value="4" />
                <label for="v4">Genesys apps accessing <code>v4</code> 🍏</label>
            </fieldset>
            <fieldset>
                <input type="radio" name="using" id="v5" value="5" checked />
                <label for="v5">Genesys apps accessing <code>v5</code> 🍍</label>
            </fieldset>
            <fieldset>
                <input type="radio" name="using" id="v6" value="6" />
                <label for="v6">Genesys apps accessing <code>v6</code> 🍇</label>
            </fieldset>
        </form>
    </aside>

    <script src="behaviour.mjs" type="module"></script>

</body>

</html>